require 'spec_helper'

describe OO do
  describe '.configuration' do
    subject { described_class.configuration }
    it { is_expected.to be_a(described_class::Configuration) }
  end

  describe '.configure' do
    context 'when no block was given' do
      subject { described_class.configure }
      it 'returns current configuration' do
        is_expected.to eq(described_class.configuration)
      end
    end

    context 'when block was given' do
      let(:depth) { 5 }
      before(:each) do
        described_class.configure { |c| c.license_max_depth = depth }
      end

      it 'updates configuration' do
        expect(described_class.configuration.license_max_depth).to eq(depth)
      end
    end
  end
end
